JBossDestination (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossDestination interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossDestination

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossDestination

extends LogicalElement

Represents a JBoss Destination

Naming Rules:
  0="serviceName,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  JBDT

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getJNDIName()`
`int` | `getMaxDepth()`
`java.lang.String` | `getName()`
`JBossDestinationManager` | `getParent()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getStateString()`
`boolean` | `hasJNDIName()`
`boolean` | `hasMaxDepth()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasServiceName()`
`boolean` | `hasStateString()`
`void` | `setJNDIName(java.lang.String state)`
`void` | `setMaxDepth(int depth)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(JBossDestinationManager dest)`
`void` | `setServiceName(java.lang.String service)`
`void` | `setStateString(java.lang.String state)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    JBossDestinationManager getParent()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(JBossDestinationManager dest)

### hasParent

    boolean hasParent()

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String state)

### hasJNDIName

    boolean hasJNDIName()

### getServiceName

    java.lang.String getServiceName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServiceName

    void setServiceName(java.lang.String service)

### hasServiceName

    boolean hasServiceName()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getMaxDepth

    int getMaxDepth()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxDepth

    void setMaxDepth(int depth)

### hasMaxDepth

    boolean hasMaxDepth()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD